# _HostService
<span class="source-link">[[Source]](src/net-http/_host_service.md#L3)</span>
```pony
class val _HostService is
  Hashable ref,
  Equatable[_HostService val] ref
```

#### Implements

* [Hashable](collections-Hashable) ref
* [Equatable](builtin-Equatable)\[[_HostService](net-http-_HostService) val\] ref

---

## Constructors

### create
<span class="source-link">[[Source]](src/net-http/_host_service.md#L8)</span>


```pony
new val create(
  scheme': String val,
  host': String val,
  service': String val)
: _HostService val^
```
#### Parameters

*   scheme': [String](builtin-String) val
*   host': [String](builtin-String) val
*   service': [String](builtin-String) val

#### Returns

* [_HostService](net-http-_HostService) val^

---

## Public fields

### let scheme: [String](builtin-String) val
<span class="source-link">[[Source]](src/net-http/_host_service.md#L4)</span>



---

### let host: [String](builtin-String) val
<span class="source-link">[[Source]](src/net-http/_host_service.md#L5)</span>



---

### let service: [String](builtin-String) val
<span class="source-link">[[Source]](src/net-http/_host_service.md#L6)</span>



---

## Public Functions

### hash
<span class="source-link">[[Source]](src/net-http/_host_service.md#L13)</span>


```pony
fun box hash()
: USize val
```

#### Returns

* [USize](builtin-USize) val

---

### eq
<span class="source-link">[[Source]](src/net-http/_host_service.md#L16)</span>


```pony
fun box eq(
  that: _HostService box)
: Bool val
```
#### Parameters

*   that: [_HostService](net-http-_HostService) box

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/builtin/compare.md#L20)</span>


```pony
fun box ne(
  that: _HostService val)
: Bool val
```
#### Parameters

*   that: [_HostService](net-http-_HostService) val

#### Returns

* [Bool](builtin-Bool) val

---

